Package org.apache.synapse.securevault.secret

## Class SecretInformation

- java.lang.Object
- - org.apache.synapse.securevault.secret.SecretInformation

-     public class SecretInformation
      extends Object

  Encapsulates the All information related to a DataSource TODO - properly remove SecretResolve instances

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecretInformation()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAliasSecret()` |
    `SecretResolver` | `getGlobalSecretResolver()` |
    `SecretResolver` | `getLocalSecretResolver()` |
    `String` | `getResolvedSecret()` | Get actual password based on SecretCallbackHandler and alias password If SecretCallbackHandler is null, then returns alias password
    `String` | `getSecretPrompt()` |
    `String` | `getToken()` |
    `String` | `getUser()` |
    `void` | `setAliasSecret​(String aliasSecret)` |
    `void` | `setGlobalSecretResolver​(SecretResolver globalSecretResolver)` |
    `void` | `setLocalSecretResolver​(SecretResolver localSecretResolver)` |
    `void` | `setSecretPrompt​(String secretPrompt)` |
    `void` | `setToken​(String token)` |
    `void` | `setUser​(String user)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecretInformation

          public SecretInformation()

  - ### Method Detail

    - #### getUser

          public String getUser()

    - #### setUser

          public void setUser​(String user)

    - #### getAliasSecret

          public String getAliasSecret()

    - #### setAliasSecret

          public void setAliasSecret​(String aliasSecret)

    - #### getSecretPrompt

          public String getSecretPrompt()

    - #### setSecretPrompt

          public void setSecretPrompt​(String secretPrompt)

    - #### getResolvedSecret

          public String getResolvedSecret()

      Get actual password based on SecretCallbackHandler and alias password If SecretCallbackHandler is null, then returns alias password
      Returns:
        Actual password

    - #### getLocalSecretResolver

          public SecretResolver getLocalSecretResolver()

    - #### setLocalSecretResolver

          public void setLocalSecretResolver​(SecretResolver localSecretResolver)

    - #### getGlobalSecretResolver

          public SecretResolver getGlobalSecretResolver()

    - #### setGlobalSecretResolver

          public void setGlobalSecretResolver​(SecretResolver globalSecretResolver)

    - #### getToken

          public String getToken()

    - #### setToken

          public void setToken​(String token)